package com.jg.softbus;

import com.jg.softbus.discovery.PublishInfo;
import com.jg.softbus.discovery.SubscribeInfo;
import com.jg.softbus.discovery.enums.DataBitMap;
import com.jg.softbus.discovery.enums.DiscoverMode;
import com.jg.softbus.discovery.enums.ExchangeFreq;
import com.jg.softbus.discovery.enums.ExchangeMedium;
import com.jg.softbus.naservice.PublishService;
import com.jg.softbus.naservice.SessionService;
import com.jg.softbus.naservice.SubscribeService;

import java.io.IOException;
import java.util.concurrent.CompletableFuture;
import java.util.concurrent.TimeUnit;

public class TestMain {
    public static void main(String[] args)
    {
        //创建server
        SessionService sessionService = new SessionService("com.jg", "test-softbus");
//        CompletableFuture.runAsync(()->{
            try {
                sessionService.createSessionServer();
            } catch (Exception ex) {
                ex.printStackTrace();
                System.out.println("发生异常，异常原因："+ex.getMessage());
            }
//        });
        PublishService publishService = new PublishService("com.jg");
        //发布服务
//        CompletableFuture.runAsync(()->{
            try {
                PublishInfo publishInfo = new PublishInfo();
                publishInfo.setPublishId(1);
                publishInfo.setMode(DiscoverMode.DISCOVER_MODE_PASSIVE);
                publishInfo.setMedium(ExchangeMedium.COAP);
                publishInfo.setFreq(ExchangeFreq.LOW);
                publishInfo.setCapability(DataBitMap.OSD_CAPABILITY_BITMAP.getAbbr());
                publishInfo.setDataLen(0);
                publishService.publishService(publishInfo);
            } catch (Exception ex) {
                ex.printStackTrace();
            }
//        });
        //发现服务
        SubscribeService subscribeService = new SubscribeService("com.jg");
//        CompletableFuture.runAsync(()->{
            try {
                SubscribeInfo info = new SubscribeInfo();
                info.setSubscribeId(1);
                info.setMode(DiscoverMode.DISCOVER_MODE_ACTIVE);
                info.setMedium(ExchangeMedium.COAP);
                info.setFreq(ExchangeFreq.LOW);
                info.setIsSameAccount(false);
                info.setIsWakeRemote(false);
                info.setCapability(DataBitMap.OSD_CAPABILITY_BITMAP.getAbbr());
                info.setDataLen(0);
                subscribeService.discoveryStart(info);
            } catch (Exception ex) {
                ex.printStackTrace();
            }
//        });
        //消息处理
        try {
            TimeUnit.SECONDS.sleep(30L);
            //停止发现服务
            subscribeService.close();
            //停止发布服务
            publishService.close();
            //移除server
            sessionService.close();
            System.out.println("关闭session服务成功");
        } catch (IOException | InterruptedException ex) {
            ex.printStackTrace();
        }
    }
}
