package com.jg.softbus.common;

/**
 * softbus返回异常码说明
 */
public enum SoftbusErrCode {
    /* errno begin: 0xF0010000 */
    SOFTBUS_COMMOM_ERR_BASE(0xF0010000, "通用错误基础值"),
    SOFTBUS_TIMOUT(0xF0010001, "超时错误"),
    SOFTBUS_INVALID_PARAM(0xF0010002, "无效参数错误"),
    SOFTBUS_MEM_ERR(0xF0010003, "内存错误"),
    SOFTBUS_NOT_IMPLEMENT(0xF0010004, "未实现错误"),
    SOFTBUS_NO_URI_QUERY_KEY(0xF0010005, "缺少URI查询键错误"),
    SOFTBUS_NO_INIT(0xF0010006, "未初始化错误"),
    SOFTBUS_CREATE_JSON_ERR(0xF0010007, "创建JSON错误"),
    SOFTBUS_PARSE_JSON_ERR(0xF0010008, "解析JSON错误"),
    SOFTBUS_PERMISSION_DENIED(0xF0010009, "权限被拒绝错误"),
    SOFTBUS_ACCESS_TOKEN_DENIED(0xF001000A, "访问令牌被拒绝错误"),
    SOFTBUS_MALLOC_ERR(0xF001000B, "内存分配错误"),
    SOFTBUS_STRCPY_ERR(0xF001000C, "字符串拷贝错误"),
    SOFTBUS_ENCRYPT_ERR(0xF001000D, "加密错误"),
    SOFTBUS_DECRYPT_ERR(0xF001000E, "解密错误"),
    SOFTBUS_INVALID_SESS_OPCODE(0xF001000F, "无效会话操作码错误"),
    SOFTBUS_INVALID_NUM(0xF0010010, "无效数字错误"),
    SOFTBUS_SERVER_NAME_REPEATED(0xF0010011, "服务器名称重复错误"),
    SOFTBUS_TCP_SOCKET_ERR(0xF0010012, "TCP套接字错误"),
    SOFTBUS_LOCK_ERR(0xF0010013, "锁错误"),
    SOFTBUS_GET_REMOTE_UUID_ERR(0xF0010014, "获取远程UUID错误"),
    SOFTBUS_NO_ENOUGH_DATA(0xF0010015, "数据不足错误"),
    SOFTBUS_INVALID_DATA_HEAD(0xF0010016, "无效数据头错误"),
    SOFTBUS_INVALID_FD(0xF0010017, "无效文件描述符错误"),
    SOFTBUS_FILE_ERR(0xF0010018, "文件错误"),
    SOFTBUS_DATA_NOT_ENOUGH(0xF0010019, "数据不足错误"),
    SOFTBUS_SLICE_ERROR(0xF001001A, "切片错误"),
    SOFTBUS_ALREADY_EXISTED(0xF001001B, "已存在错误"),
    SOFTBUS_GET_CONFIG_VAL_ERR(0xF001001C, "获取配置值错误"),
    SOFTBUS_PEER_PROC_ERR(0xF001001D, "对等进程错误"),
    SOFTBUS_NOT_FIND(0xF001001E, "未找到错误"),
    SOFTBUS_ALREADY_TRIGGERED(0xF001001F, "已触发错误"),
    SOFTBUS_FILE_BUSY(0xF0010020, "文件忙错误"),
    SOFTBUS_IPC_ERR(0xF0010021, "IPC错误"),

    SOFTBUS_INVALID_PKGNAME(0xF0010022, "无效的包名错误"),

    SOFTBUS_FUNC_NOT_SUPPORT(0xF0010023, "不支持的功能错误"),

    SOFTBUS_SERVER_NOT_INIT(0xF0010024, "服务器未初始化错误"),

    SOFTBUS_SERVER_NAME_USED(0xF0010025, "服务器名称已被使用错误"),

    SOFTBUS_PLUGIN_ERR_BASE(0xF0020000, "插件错误基础值"),

    /* errno begin: 0xF0040000 */
    SOFTBUS_TRANS_ERR_BASE(0xF0040000, "传输错误基础值"),
    SOFTBUS_TRANS_INVALID_SESSION_ID(0xF0040001, "无效的会话ID错误"),
    SOFTBUS_TRANS_INVALID_SESSION_NAME(0xF0040002, "无效的会话名称错误"),
    SOFTBUS_TRANS_INVALID_CHANNEL_TYPE(0xF0040003, "无效的通道类型错误"),
    SOFTBUS_TRANS_INVALID_CLOSE_CHANNEL_ID(0xF0040004, "无效的关闭通道ID错误"),
    SOFTBUS_TRANS_BUSINESS_TYPE_NOT_MATCH(0xF0040005, "业务类型不匹配错误"),
    SOFTBUS_TRANS_SESSION_REPEATED(0xF0040006, "会话重复错误"),
    SOFTBUS_TRANS_SESSION_CNT_EXCEEDS_LIMIT(0xF0040007, "会话数超过限制错误"),
    SOFTBUS_TRANS_SESSIONSERVER_NOT_CREATED(0xF0040008, "会话服务器未创建错误"),
    SOFTBUS_TRANS_SESSION_OPENING(0xF0040009, "会话正在打开错误"),
    SOFTBUS_TRANS_GET_LANE_INFO_ERR(0xF004000A, "获取通道信息错误"),
    SOFTBUS_TRANS_CREATE_CHANNEL_ERR(0xF004000B, "创建通道错误"),
    SOFTBUS_TRANS_INVALID_DATA_LENGTH(0xF004000C, "无效的数据长度错误"),
    SOFTBUS_TRANS_FUNC_NOT_SUPPORT(0xF004000D, "不支持的功能错误"),
    SOFTBUS_TRANS_OPEN_AUTH_CHANNANEL_FAILED(0xF004000E, "打开授权通道失败错误"),
    SOFTBUS_TRANS_GET_P2P_INFO_FAILED(0xF004000F, "获取P2P信息失败错误"),
    SOFTBUS_TRANS_OPEN_AUTH_CONN_FAILED(0xF0040010, "打开授权连接失败错误"),
    SOFTBUS_TRANS_PROXY_PACKMSG_ERR(0xF0040011, "代理打包消息错误"),
    SOFTBUS_TRANS_PROXY_SENDMSG_ERR(0xF0040012, "代理发送消息错误"),
    SOFTBUS_TRANS_PROXY_SEND_CHANNELID_INVALID(0xF0040013, "无效的代理发送通道ID错误"),
    SOFTBUS_TRANS_PROXY_CHANNLE_STATUS_INVALID(0xF0040014, "无效的代理通道状态错误"),
    SOFTBUS_TRANS_PROXY_DEL_CHANNELID_INVALID(0xF0040015, "无效的代理删除通道ID错误"),
    SOFTBUS_TRANS_PROXY_SESS_ENCRYPT_ERR(0xF0040016, "代理会话加密错误"),
    SOFTBUS_TRANS_PROXY_INVALID_SLICE_HEAD(0xF0040017, "无效的代理切片头错误"),
    SOFTBUS_TRANS_PROXY_ASSEMBLE_PACK_NO_INVALID(0xF0040018, "无效的代理组装包编号错误"),
    SOFTBUS_TRANS_PROXY_ASSEMBLE_PACK_EXCEED_LENGTH(0xF0040019, "代理组装包长度超过限制错误"),
    SOFTBUS_TRANS_PROXY_ASSEMBLE_PACK_DATA_NULL(0xF004001A, "代理组装包数据为空错误"),

    SOFTBUS_TRANS_UDP_CLOSE_CHANNELID_INVALID(0xF004001B, "无效的UDP关闭通道ID错误"),
    SOFTBUS_TRANS_UDP_SERVER_ADD_CHANNEL_FAILED(0xF004001C, "UDP服务器添加通道失败错误"),
    SOFTBUS_TRANS_UDP_CLIENT_ADD_CHANNEL_FAILED(0xF004001D, "UDP客户端添加通道失败错误"),
    SOFTBUS_TRANS_UDP_SERVER_NOTIFY_APP_OPEN_FAILED(0xF004001E, "UDP服务器通知应用程序打开失败错误"),
    SOFTBUS_TRANS_UDP_CLIENT_NOTIFY_APP_OPEN_FAILED(0xF004001F, "UDP客户端通知应用程序打开失败错误"),
    SOFTBUS_TRANS_UDP_START_STREAM_SERVER_FAILED(0xF0040020, "UDP启动流服务器失败错误"),
    SOFTBUS_TRANS_UDP_START_STREAM_CLIENT_FAILED(0xF0040021, "UDP启动流客户端失败错误"),
    SOFTBUS_TRANS_UDP_SEND_STREAM_FAILED(0xF0040022, "UDP发送流失败错误"),
    SOFTBUS_TRANS_UDP_GET_CHANNEL_FAILED(0xF0040023, "UDP获取通道失败错误"),
    SOFTBUS_TRANS_UDP_CHANNEL_DISABLE(0xF0040024, "UDP通道禁用错误"),
    SOFTBUS_TRANS_QOS_REPORT_FAILED(0xF0040025, "QoS上报失败错误"),
    SOFTBUS_TRANS_QOS_REPORT_TOO_FREQUENT(0xF0040026, "QoS上报过于频繁错误"),
    SOFTBUS_TRANS_SESSION_SERVER_NOINIT(0xF0040027, "会话服务器未初始化错误"),
    SOFTBUS_TRANS_SESSION_INFO_NOT_FOUND(0xF0040028, "未找到会话信息错误"),
    SOFTBUS_TRANS_SESSION_CREATE_FAILED(0xF0040029, "会话创建失败错误"),
    SOFTBUS_TRANS_SESSION_ADDPKG_FAILED(0xF004002A, "会话添加包失败错误"),
    SOFTBUS_TRANS_SESSION_SET_CHANNEL_FAILED(0xF004002B, "会话设置通道失败错误"),
    SOFTBUS_TRANS_SESSION_NO_ENABLE(0xF004002C, "会话未启用错误"),
    SOFTBUS_TRANS_SESSION_GROUP_INVALID(0xF004002D, "无效的会话组错误"),
    SOFTBUS_TRANS_SESSION_NAME_NO_EXIST(0xF004002E, "会话名称不存在错误"),
    SOFTBUS_TRANS_SESSION_GET_CHANNEL_FAILED(0xF004002F, "会话获取通道失败错误"),

    SOFTBUS_TRANS_PROXY_REMOTE_NULL(0xF0040030, "远程代理为空错误"),
    SOFTBUS_TRANS_PROXY_WRITETOKEN_FAILED(0xF0040031, "写入令牌失败错误"),
    SOFTBUS_TRANS_PROXY_WRITECSTRING_FAILED(0xF0040032, "写入C字符串失败错误"),
    SOFTBUS_TRANS_PROXY_WRITERAWDATA_FAILED(0xF0040033, "写入原始数据失败错误"),
    SOFTBUS_TRANS_PROXY_READRAWDATA_FAILED(0xF0040034, "读取原始数据失败错误"),
    SOFTBUS_TRANS_PROXY_SEND_REQUEST_FAILED(0xF0040035, "发送请求失败错误"),
    SOFTBUS_TRANS_PROXY_INVOKE_FAILED(0xF0040036, "调用失败错误"),
    SOFTBUS_TRANS_PROXY_CHANNEL_NOT_FOUND(0xF0040037, "未找到代理通道错误"),
    SOFTBUS_TRANS_SEND_LEN_BEYOND_LIMIT(0xF0040038, "发送长度超出限制错误"),
    SOFTBUS_TRANS_FILE_LISTENER_NOT_INIT(0xF0040039, "文件监听器未初始化错误"),
    SOFTBUS_TRANS_STREAM_ONLY_UDP_CHANNEL(0xF004003A, "仅支持UDP通道的流错误"),
    SOFTBUS_TRANS_CHANNEL_TYPE_INVALID(0xF004003B, "无效的通道类型错误"),
    SOFTBUS_TRANS_TDC_CHANNEL_NOT_FOUND(0xF004003C, "未找到TDC通道错误"),
    SOFTBUS_TRANS_TDC_CHANNEL_ALREADY_PENDING(0xF004003D, "TDC通道已经处于挂起状态错误"),
    SOFTBUS_TRANS_TDC_PENDINGLIST_NOT_FOUND(0xF004003E, "未找到TDC挂起列表错误"),
    SOFTBUS_TRANS_AUTH_CHANNEL_NOT_FOUND(0xF004003F, "未找到认证通道错误"),
    SOFTBUS_TRANS_NET_STATE_CHANGED(0xF0040040, "网络状态已更改错误"),
    SOFTBUS_TRANS_HANDSHAKE_TIMEOUT(0xF0040041, "握手超时错误"),
    SOFTBUS_TRANS_HANDSHAKE_ERROR(0xF0040042, "握手错误错误"),
    SOFTBUS_TRANS_PEER_SESSION_NOT_CREATED(0xF0040043, "对等会话未创建错误"),
    SOFTBUS_TRANS_PROXY_DISCONNECTED(0xF0040044, "代理断开连接错误"),
    SOFTBUS_TRANS_AUTH_NOTALLOW_OPENED(0xF0040045, "认证未允许打开错误"),
    SOFTBUS_TRANS_PROXY_ERROR_APP_TYPE(0xF0040046, "代理应用程序类型错误"),
    SOFTBUS_TRANS_PROXY_CONN_REPEAT(0xF0040047, "代理连接重复错误"),
    SOFTBUS_TRANS_PROXY_CONN_ADD_REF_FAILED(0xF0040048, "代理连接添加引用失败错误"),

    /* errno begin: 0xF0080000 */
    SOFTBUS_AUTH_ERR_BASE(0xF0080000, "认证错误基础值"),
    SOFTBUS_AUTH_INIT_FAIL(0xF0080001, "认证初始化失败错误"),
    SOFTBUS_AUTH_CONN_FAIL(0xF0080002, "认证连接失败错误"),
    SOFTBUS_AUTH_CONN_TIMEOUT(0xF0080003, "认证连接超时错误"),
    SOFTBUS_AUTH_DEVICE_DISCONNECTED(0xF0080004, "设备已断开连接错误"),
    SOFTBUS_AUTH_SYNC_DEVID_FAIL(0xF0080005, "同步设备ID失败错误"),
    SOFTBUS_AUTH_UNPACK_DEVID_FAIL(0xF0080006, "解包设备ID失败错误"),
    SOFTBUS_AUTH_HICHAIN_AUTH_FAIL(0xF0080007, "HiChain认证失败错误"),
    SOFTBUS_AUTH_HICHAIN_PROCESS_FAIL(0xF0080008, "HiChain处理失败错误"),
    SOFTBUS_AUTH_HICHAIN_TRANSMIT_FAIL(0xF0080009, "HiChain传输失败错误"),
    SOFTBUS_AUTH_HICHAIN_AUTH_ERROR(0xF008000A, "HiChain认证错误错误"),
    SOFTBUS_AUTH_HICHAIN_NOT_TRUSTED(0xF008000B, "HiChain不被信任错误"),
    SOFTBUS_AUTH_SYNC_DEVINFO_FAIL(0xF008000C, "同步设备信息失败错误"),
    SOFTBUS_AUTH_UNPACK_DEVINFO_FAIL(0xF008000D, "解包设备信息失败错误"),
    SOFTBUS_AUTH_SEND_FAIL(0xF008000E, "发送认证请求失败错误"),
    SOFTBUS_AUTH_TIMEOUT(0xF008000F, "认证超时错误"),
    SOFTBUS_AUTH_NOT_FOUND(0xF0080010, "未找到认证错误"),
    SOFTBUS_AUTH_INNER_ERR(0xF0080011, "内部认证错误"),

    /* errno begin: 0xF0100000 */
    SOFTBUS_NETWORK_ERR_BASE(0xF0100000, "网络错误基础值"),
    SOFTBUS_NETWORK_CONN_FSM_DEAD(0xF0100001, "连接状态机已停止错误"),
    SOFTBUS_NETWORK_JOIN_CANCELED(0xF0100002, "加入网络已取消错误"),
    SOFTBUS_NETWORK_JOIN_LEAVING(0xF0100003, "加入网络正在离开错误"),
    SOFTBUS_NETWORK_JOIN_TIMEOUT(0xF0100004, "加入网络超时错误"),
    SOFTBUS_NETWORK_UNPACK_DEV_INFO_FAILED(0xF0100005, "解包设备信息失败错误"),
    SOFTBUS_NETWORK_DEV_NOT_TRUST(0xF0100006, "设备不被信任错误"),
    SOFTBUS_NETWORK_LEAVE_OFFLINE(0xF0100007, "离开网络离线错误"),
    SOFTBUS_NETWORK_AUTH_DISCONNECT(0xF0100008, "认证断开连接错误"),
    SOFTBUS_NETWORK_TIME_SYNC_HANDSHAKE_ERR(0xF0100009, "时间同步握手错误"),
    SOFTBUS_NETWORK_TIME_SYNC_HANDSHAKE_TIMEOUT(0xF010000A, "时间同步握手超时错误"),
    SOFTBUS_NETWORK_TIME_SYNC_TIMEOUT(0xF010000B, "时间同步超时错误"),
    SOFTBUS_NETWORK_TIME_SYNC_INTERFERENCE(0xF010000C, "时间同步干扰错误"),
    SOFTBUS_NETWORK_HEARTBEAT_REPEATED(0xF010000D, "心跳重复错误"),
    SOFTBUS_NETWORK_HEARTBEAT_UNTRUSTED(0xF010000E, "心跳不被信任错误"),
    SOFTBUS_NETWORK_HEARTBEAT_EMPTY_LIST(0xF010000F, "心跳列表为空错误"),
    SOFTBUS_NETWORK_NODE_OFFLINE(0xF0100010, "节点离线错误"),
    SOFTBUS_NETWORK_NODE_DIRECT_ONLINE(0xF0100011, "直连节点在线错误"),
    SOFTBUS_NETWORK_NOT_INIT(0xF0100012, "网络未初始化错误"),
    SOFTBUS_NETWORK_LOOPER_ERR(0xF0100013, "网络循环错误"),
    SOFTBUS_NETWORK_AUTH_TCP_ERR(0xF0100014, "TCP认证错误"),
    SOFTBUS_NETWORK_AUTH_BLE_ERR(0xF0100015, "BLE认证错误"),
    SOFTBUS_NETWORK_AUTH_BR_ERR(0xF0100016, "BR认证错误"),
    SOFTBUS_NETWORK_GET_ALL_NODE_INFO_ERR(0xF0100017, "获取所有节点信息错误"),
    SOFTBUS_NETWORK_GET_LOCAL_NODE_INFO_ERR(0xF0100018, "获取本地节点信息错误"),
    SOFTBUS_NETWORK_NODE_KEY_INFO_ERR(0xF0100019, "节点密钥信息错误"),
    SOFTBUS_NETWORK_ACTIVE_META_NODE_ERR(0xF010001A, "激活元节点错误"),
    SOFTBUS_NETWORK_DEACTIVE_META_NODE_ERR(0xF010001B, "去激活元节点错误"),
    SOFTBUS_NETWORK_GET_META_NODE_INFO_ERR(0xF010001C, "获取元节点信息错误"),

    /* errno begin: 0xF0200000 */
    SOFTBUS_CONN_ERR_BASE(0xF0200000, "连接错误基础"),
    SOFTBUS_CONN_FAIL(0xF0200001, "连接失败"),
    SOFTBUS_CONN_MANAGER_TYPE_NOT_SUPPORT(0xF0200002, "连接管理器类型不支持"),
    SOFTBUS_CONN_MANAGER_OP_NOT_SUPPORT(0xF0200003, "连接管理器操作不支持"),
    SOFTBUS_CONN_MANAGER_PKT_LEN_INVALID(0xF0200004, "连接管理器数据包长度无效"),
    SOFTBUS_CONN_MANAGER_LIST_NOT_INIT(0xF0200005, "连接管理器列表未初始化"),
    SOFTBUS_CONN_INVALID_CONN_TYPE(0xF0200006, "无效的连接类型"),
    SOFTBUS_CONNECTION_BASE(0xF0200007, "连接基础错误"),
    SOFTBUS_CONNECTION_ERR_CLOSED(0xF0200008, "连接已关闭错误"),
    SOFTBUS_CONNECTION_ERR_DRIVER_CONGEST(0xF0200009, "驱动拥塞错误"),
    SOFTBUS_CONNECTION_ERR_SOFTBUS_CONGEST(0xF020000A, "SoftBus拥塞错误"),
    SOFTBUS_CONNECTION_ERR_CONNID_INVALID(0xF020000B, "无效的连接ID错误"),
    SOFTBUS_CONNECTION_ERR_SENDQUEUE_FULL(0xF020000C, "发送队列已满错误"),

    /* common error for bluetooth medium */
    SOFTBUS_CONN_BLUETOOTH_OFF(0xF020000D, "蓝牙已关闭错误"),
    SOFTBUS_CONN_BR_INTERNAL_ERR(0xF020000E, "蓝牙连接内部错误"),
    SOFTBUS_CONN_BR_INVALID_ADDRESS_ERR(0xF020000F, "无效的蓝牙地址错误"),
    SOFTBUS_CONN_BR_CONNECT_TIMEOUT_ERR(0xF0200010, "蓝牙连接超时错误"),
    SOFTBUS_CONN_BR_CONNECTION_NOT_EXIST_ERR(0xF0200011, "蓝牙连接不存在错误"),
    SOFTBUS_CONN_BR_CONNECTION_NOT_READY_ERR(0xF0200012, "蓝牙连接未准备好错误"),
    SOFTBUS_CONN_BR_CONNECTION_INVALID_SOCKET(0xF0200013, "蓝牙连接无效套接字错误"),
    SOFTBUS_CONN_BR_UNDERLAY_CONNECT_FAIL(0xF0200014, "蓝牙底层连接失败"),
    SOFTBUS_CONN_BR_UNDERLAY_WRITE_FAIL(0xF0200015, "蓝牙底层写入失败"),
    SOFTBUS_CONN_BR_UNDERLAY_SOCKET_CLOSED(0xF0200016, "蓝牙底层套接字已关闭"),
    SOFTBUS_CONN_BR_UNDERLAY_READ_FAIL(0xF0200017, "蓝牙底层读取失败"),
    SOFTBUS_CONN_BLE_INTERNAL_ERR(0xF0200018, "BLE连接内部错误"),
    SOFTBUS_CONN_BLE_CONNECT_PREVENTED_ERR(0xF0200019, "BLE连接被阻止错误"),
    SOFTBUS_CONN_BLE_DISCONNECT_DIRECTLY_ERR(0xF020001A, "BLE直接断开连接错误"),
    SOFTBUS_CONN_BLE_DISCONNECT_WAIT_TIMEOUT_ERR(0xF020001B, "BLE断开连接超时错误"),
    SOFTBUS_CONN_BLE_CONNECT_TIMEOUT_ERR(0xF020001C, "BLE连接超时错误"),
    SOFTBUS_CONN_BLE_EXCHANGE_BASIC_INFO_TIMEOUT_ERR(0xF020001D, "BLE交换基本信息超时错误"),
    SOFTBUS_CONN_BLE_CONNECTION_NOT_EXIST_ERR(0xF020001D, "BLE连接不存在错误"),
    SOFTBUS_CONN_BLE_CONNECTION_NOT_READY_ERR(0xF020001F, "BLE连接未就绪错误"),
    SOFTBUS_CONN_BLE_CLIENT_STATE_UNEXPECTED_ERR(0xF0200020, "BLE客户端状态异常错误"),
    SOFTBUS_CONN_BLE_SERVER_STATE_UNEXPECTED_ERR(0xF0200021, "BLE服务器状态异常错误"),
    SOFTBUS_CONN_BLE_SERVER_START_SERVER_TIMEOUT_ERR(0xF0200022, "BLE服务器启动超时错误"),
    SOFTBUS_CONN_BLE_SERVER_STOP_SERVER_TIMEOUT_ERR(0xF0200023, "BLE服务器停止超时错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_DISCONNECT_TIMEOUT_ERR(0xF0200024, "BLE底层断开连接超时错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_REGISTER_ERR(0xF0200025, "BLE底层客户端注册错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_CONNECT_ERR(0xF0200026, "BLE底层客户端连接错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_CONNECT_FAIL(0xF0200027, "BLE底层客户端连接失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_DISCONNECT_ERR(0xF0200028, "BLE底层客户端断开连接错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_DISCONNECT_FAIL(0xF0200029, "BLE底层客户端断开连接失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_SEARCH_SERVICE_ERR(0xF020002A, "BLE底层客户端搜索服务错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_SEARCH_SERVICE_FAIL(0xF020002B, "BLE底层客户端搜索服务失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_GET_SERVICE_ERR(0xF020002C, "BLE底层客户端获取服务错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_REGISTER_NOTIFICATION_ERR(0xF020002D, "BLE底层客户端注册通知错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_REGISTER_NOTIFICATION_FAIL(0xF020002E, "BLE底层客户端注册通知失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_CONFIGURE_MTU_ERR(0xF020002F, "BLE底层客户端配置MTU错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_CONFIGURE_MTU_FAIL(0xF0200030, "BLE底层客户端配置MTU失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_CLIENT_WRITE_ERR(0xF0200031, "BLE底层客户端写入错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVER_REGISTER_CALLBACK_ERR(0xF0200032, "BLE底层服务器注册回调错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVER_ADD_SERVICE_ERR(0xF0200033, "BLE底层服务器添加服务错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVER_ADD_SERVICE_FAIL(0xF0200034, "BLE底层服务器添加服务失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_CHARACTERISTIC_ADD_ERR(0xF0200035, "BLE底层特征添加错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CHARACTERISTIC_ADD_FAIL(0xF0200036, "BLE底层特征添加失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_DESCRIPTOR_ADD_ERR(0xF0200037, "BLE底层描述符添加错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_DESCRIPTOR_ADD_FAIL(0xF0200038, "BLE底层描述符添加失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVICE_START_ERR(0xF0200039, "BLE底层服务启动错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVICE_START_FAIL(0xF020003A, "BLE底层服务启动失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVICE_STOP_ERR(0xF020003B, "BLE底层服务停止错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVICE_STOP_FAIL(0xF020003C, "BLE底层服务停止失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVICE_DELETE_ERR(0xF020003D, "BLE底层服务删除错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVICE_DELETE_FAIL(0xF020003E, "BLE底层服务删除失败"),
    SOFTBUS_CONN_BLE_UNDERLAY_UNKNOWN_SERVICE_ERR(0xF020003F, "BLE底层未知服务错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_UNKNOWN_CHARACTERISTIC_ERR(0xF0200040, "BLE底层未知特征错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_UNKNOWN_DESCRIPTOR_ERR(0xF0200041, "BLE底层未知描述符错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_SERVICE_HANDLE_MISMATCH_ERR(0xF0200042, "BLE底层服务句柄不匹配错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_CHARACTERISTIC_HANDLE_MISMATCH_ERR(0xF0200043, "BLE底层特征句柄不匹配错误"),
    SOFTBUS_CONN_BLE_UNDERLAY_DESCRIPTOR_HANDLE_MISMATCH_ERR(0xF0200044, "BLE底层描述符句柄不匹配错误"),
    SOFTBUS_CONN_BLE_COC_INTERNAL_ERR(0xF0200045, "BLE COC内部错误"),
    SOFTBUS_CONN_BLE_COC_INVALID_ADDRESS_ERR(0xF0200046, "BLE COC无效地址错误"),
    SOFTBUS_CONN_BLE_COC_CONNECT_TIMEOUT_ERR(0xF0200047, "BLE COC连接超时错误"),
    SOFTBUS_CONN_BLE_COC_CONNECTION_NOT_EXIST_ERR(0xF0200048, "BLE COC连接不存在错误"),
    SOFTBUS_CONN_BLE_COC_CONNECTION_NOT_READY_ERR(0xF0200049, "BLE COC连接未准备好错误"),
    SOFTBUS_CONN_BLE_COC_CONNECTION_INVALID_SOCKET(0xF020004A, "BLE COC连接无效套接字"),
    SOFTBUS_CONN_BLE_COC_UNDERLAY_CONNECT_FAIL(0xF020004B, "BLE COC底层连接失败"),
    SOFTBUS_CONN_BLE_COC_UNDERLAY_WRITE_FAIL(0xF020004C, "BLE COC底层写入失败"),
    SOFTBUS_CONN_BLE_COC_UNDERLAY_SOCKET_CLOSED(0xF020004D, "BLE COC底层套接字已关闭"),
    SOFTBUS_CONN_BLE_COC_UNDERLAY_READ_FAIL(0xF020004E, "BLE COC底层读取失败"),
    SOFTBUS_BLECONNECTION_REG_GATTS_CALLBACK_FAIL(0xF020004F, "BLE连接注册GATTS回调失败"),
    SOFTBUS_GATTC_INTERFACE_FAILED(0xF0200050, "GATTC接口失败"),
    SOFTBUS_TCPCONNECTION_SOCKET_ERR(0xF0200051, "TCP连接套接字错误"),
    SOFTBUS_TCPFD_NOT_IN_TRIGGER(0xF0200052, "TCP FD不在触发器中"),

    /* errno begin: 0xF0400000 */
    SOFTBUS_DISCOVER_ERR_BASE(0xF0400000, "发现异常信息"),
    SOFTBUS_DISCOVER_NOT_INIT(0xF0400001, "发现模块未初始化错误"),
    SOFTBUS_DISCOVER_INVALID_PKGNAME(0xF0400002, "无效的包名错误"),
    SOFTBUS_DISCOVER_SERVER_NO_PERMISSION(0xF0400003, "发现服务无权限错误"),
    SOFTBUS_DISCOVER_MANAGER_NOT_INIT(0xF0400004, "发现管理器未初始化错误"),
    SOFTBUS_DISCOVER_MANAGER_ITEM_NOT_CREATE(0xF0400005, "发现管理器项未创建错误"),
    SOFTBUS_DISCOVER_MANAGER_INFO_NOT_CREATE(0xF0400006, "发现管理器信息未创建错误"),
    SOFTBUS_DISCOVER_MANAGER_INFO_NOT_DELETE(0xF0400007, "发现管理器信息未删除错误"),
    SOFTBUS_DISCOVER_MANAGER_INNERFUNCTION_FAIL(0xF0400008, "发现管理器内部函数失败错误"),
    SOFTBUS_DISCOVER_MANAGER_CAPABILITY_INVALID(0xF0400009, "发现管理器能力无效错误"),
    SOFTBUS_DISCOVER_MANAGER_DUPLICATE_PARAM(0xF040000A, "发现管理器重复参数错误"),
    SOFTBUS_DISCOVER_MANAGER_INVALID_PARAM(0xF040000B, "发现管理器无效参数错误"),
    SOFTBUS_DISCOVER_MANAGER_INVALID_MEDIUM(0xF040000C, "发现管理器无效介质错误"),
    SOFTBUS_DISCOVER_MANAGER_INVALID_PKGNAME(0xF040000D, "发现管理器无效包名错误"),
    SOFTBUS_DISCOVER_MANAGER_INVALID_MODULE(0xF040000E, "发现管理器无效模块错误"),
    SOFTBUS_DISCOVER_COAP_NOT_INIT(0xF040000F, "COAP发现未初始化错误"),
    SOFTBUS_DISCOVER_COAP_INIT_FAIL(0xF0400010, "COAP发现初始化失败错误"),
    SOFTBUS_DISCOVER_COAP_MERGE_CAP_FAIL(0xF0400011, "COAP发现合并能力失败错误"),
    SOFTBUS_DISCOVER_COAP_CANCEL_CAP_FAIL(0xF0400012, "COAP发现取消能力失败错误"),
    SOFTBUS_DISCOVER_COAP_REGISTER_CAP_FAIL(0xF0400013, "COAP发现注册能力失败错误"),
    SOFTBUS_DISCOVER_COAP_SET_FILTER_CAP_FAIL(0xF0400014, "COAP发现设置过滤器失败错误"),
    SOFTBUS_DISCOVER_COAP_REGISTER_DEVICE_FAIL(0xF0400015, "COAP发现注册设备失败错误"),
    SOFTBUS_DISCOVER_COAP_START_PUBLISH_FAIL(0xF0400016, "COAP发现开始发布失败错误"),
    SOFTBUS_DISCOVER_COAP_STOP_PUBLISH_FAIL(0xF0400017, "COAP发现停止发布失败错误"),
    SOFTBUS_DISCOVER_COAP_START_DISCOVER_FAIL(0xF0400018, "COAP发现开始发现失败错误"),
    SOFTBUS_DISCOVER_COAP_STOP_DISCOVER_FAIL(0xF0400019, "COAP发现停止发现失败错误"),

    /* errno begin: 0xF0800000 */
    SOFTBUS_PUBLIC_ERR_BASE(-13000, "公共异常信息"),

    /* internal error */
    SOFTBUS_ERR(-1, "softbus异常"),
    /* softbus ok */
    SOFTBUS_OK(0,"ok");

    private final Integer errCode;

    private final String errMsg;
    SoftbusErrCode(int errCode, String errMsg) {
        this.errCode = errCode;
        this.errMsg = errMsg;
    }

    public Integer getErrCode() {
        return this.errCode;
    }

    public String getErrMsg() {
        return this.errMsg;
    }

    public static SoftbusErrCode getByErrCode(int errCode) {
        System.out.println("返回异常，当前异常码为："+errCode);
        for (SoftbusErrCode softbusErrCode : SoftbusErrCode.values()) {
            if (softbusErrCode.getErrCode().equals(errCode)) {
                return softbusErrCode;
            }
        }
        //返回通用异常码
        return SOFTBUS_ERR;
    }
}
