/** 
* Copyright (c) 2022-2024. jinggezhihui. All rights reserved.  
* FileName: DeviceType.java 
* Author: marunming
* Email: runming56@163.com
* Date: 2023年10月26日 下午3:25:52
* version: V1.0
* LastModified: 2023年10月26日 下午3:25:52   
*/ 


package com.jg.softbus.device;

import java.util.Arrays;
import java.util.Optional;

/**
* 设备类型
*
* @Author marunming
* @ClassName: DeviceType 
* @Email runming56@163.com
* @Date 2023年10月26日 下午3:25:52 
*/
public enum DeviceType {

    /* Smart speaker */
    SMART_SPEAKER(0x00),
    /* PC */
    DESKTOP_PC(0x01),
    /* Laptop */
    LAPTOP(0x02),
    /* Mobile phone */
    SMART_PHONE(0x03),
    /* Tablet */
    SMART_PAD(0x04),
    /* Smart watch */
    SMART_WATCH(0x05),
    /* Smart car */
    SMART_CAR(0x06),
    /* Kids' watch */
    CHILDREN_WATCH(0x07),
    /* Smart TV */
    SMART_TV(0x08);

    private final int value;
     private DeviceType(int value) {
    	 this.value = value;
     }

     public int valueOf(){
         return this.value;
     }

     public static DeviceType getForValue(int value) {
         Optional<DeviceType> rs =
             Arrays.stream(DeviceType.values())
             .filter(v -> v.value == value)
             .findFirst();
         return rs.orElse(null);
     }
}
