package com.jg.softbus.discovery;

import com.jg.softbus.discovery.enums.DataBitMap;
import com.jg.softbus.discovery.enums.DiscoverMode;
import com.jg.softbus.discovery.enums.ExchangeFreq;
import com.jg.softbus.discovery.enums.ExchangeMedium;

public class PublishInfo {
    /** Service ID */
    private int publishId;
    /** Discovery mode for service publishing. For details, see {@link Discovermode}. */
    private DiscoverMode mode;
    /** Service publishing medium. For details, see {@link ExchangeMedium}. */
    private ExchangeMedium medium;
    /** Service publishing frequency. For details, see {@link ExchangeFreq}. */
    private ExchangeFreq freq;
    /** Service publishing capabilities. For details, see {@link DataBitMap}. */
    private String capability;
    /** Capability data for service publishing, MUST be c-string format. */
    private String capabilityData;
    /** Maximum length of the capability data for service publishing (512 bytes) */
    private int dataLen;
    /** Whether the device should be ranged  by discoverers.*/
    private boolean ranging;

    public int getPublishId() {
        return publishId;
    }

    public void setPublishId(int publishId) {
        this.publishId = publishId;
    }

    public DiscoverMode getMode() {
        return mode;
    }

    public void setMode(DiscoverMode mode) {
        this.mode = mode;
    }

    public ExchangeMedium getMedium() {
        return medium;
    }

    public void setMedium(ExchangeMedium medium) {
        this.medium = medium;
    }

    public ExchangeFreq getFreq() {
        return freq;
    }

    public void setFreq(ExchangeFreq freq) {
        this.freq = freq;
    }

    public String getCapability() {
        return capability;
    }

    public void setCapability(String capability) {
        this.capability = capability;
    }

    public String getCapabilityData() {
        return capabilityData;
    }

    public void setCapabilityData(String capabilityData) {
        this.capabilityData = capabilityData;
    }

    public int getDataLen() {
        return dataLen;
    }

    public void setDataLen(int dataLen) {
        this.dataLen = dataLen;
    }

    public boolean getRanging() {
        return ranging;
    }

    public void setRanging(Boolean ranging) {
        this.ranging = ranging;
    }
}
