package com.jg.softbus.discovery;

import com.jg.softbus.discovery.enums.DiscoverMode;
import com.jg.softbus.discovery.enums.ExchangeFreq;
import com.jg.softbus.discovery.enums.ExchangeMedium;

/**
 * Defines service subscription information.
 */
public class SubscribeInfo {
    /** Service ID */
    private int subscribeId;
    /** Discovery mode for service subscription. For details, see {@link Discovermode}. */
    private DiscoverMode mode;
    /** Service subscription medium. For details, see {@link ExchangeMedium}. */
    private ExchangeMedium medium;
    /** Service subscription frequency. For details, see {@link ExchangeFreq}. */
    private ExchangeFreq freq;
    /** only find the device with the same account */
    private boolean isSameAccount;
    /** find the sleeping devices */
    private boolean isWakeRemote;
    /** Service subscription capability. For details, see {@link g_capabilityMap}. */
    private String capability;
    /** Capability data for service subscription, MUST be c-string format. */
    private String capabilityData;
    /** Maximum length of the capability data for service subscription (512 bytes) */
    private int dataLen;

    public int getSubscribeId() {
        return subscribeId;
    }

    public void setSubscribeId(int subscribeId) {
        this.subscribeId = subscribeId;
    }

    public DiscoverMode getMode() {
        return mode;
    }

    public void setMode(DiscoverMode mode) {
        this.mode = mode;
    }

    public ExchangeMedium getMedium() {
        return medium;
    }

    public void setMedium(ExchangeMedium medium) {
        this.medium = medium;
    }

    public ExchangeFreq getFreq() {
        return freq;
    }

    public void setFreq(ExchangeFreq freq) {
        this.freq = freq;
    }

    public boolean getIsSameAccount() {
        return isSameAccount;
    }

    public void setIsSameAccount(boolean sameAccount) {
        isSameAccount = sameAccount;
    }

    public boolean getIsWakeRemote() {
        return isWakeRemote;
    }

    public void setIsWakeRemote(boolean wakeRemote) {
        isWakeRemote = wakeRemote;
    }

    public String getCapability() {
        return capability;
    }

    public void setCapability(String capability) {
        this.capability = capability;
    }

    public String getCapabilityData() {
        return capabilityData;
    }

    public void setCapabilityData(String capabilityData) {
        this.capabilityData = capabilityData;
    }

    public int getDataLen() {
        return dataLen;
    }

    public void setDataLen(int dataLen) {
        this.dataLen = dataLen;
    }
}
