package com.jg.softbus.discovery.callback;

import com.jg.softbus.device.DeviceInfo;
import com.jg.softbus.discovery.enums.DiscoveryFailReason;

/**
 * 发现回调接口
 * 参见 {@link com.jg.softbus.naservice.SubscribeService} 使用
 */
public interface IDiscoveryCallback {
    /**
     * 发现设备回调接口
     * @param info
     */
    void onDeviceFound(DeviceInfo info);

    /**
     * 失败回调接口
     * @param subscribeId
     * @param reason see {@link DiscoveryFailReason}
     */
    void onDiscoverFailed(int subscribeId, int reason);

    /**
     * 成功回调接口
     * @param subscribeId
     */
    void onDiscoverySuccess(int subscribeId);
}
