package com.jg.softbus.discovery.callback;

import com.jg.softbus.discovery.enums.PublishFailReason;

/**
 * 发布回调接口
 * 具体参见 {@link com.jg.softbus.naservice.PublishService}
 */
public interface IPublishCallback {
    /**
     * 发布成功时回调
     * @param publishId 发布id
     */
    void onPublishSuccess(int publishId);

    /**
     * 发布失败时回调
     * @param publishId 发布id
     * @param reason 失败原因 see {@link PublishFailReason}
     */
    void onPublishFail(int publishId, int reason);
}
