package com.jg.softbus.discovery.callback;

import com.jg.softbus.device.DeviceInfo;
import com.jg.softbus.discovery.enums.RefreshResult;

/**
 * 发现回调，针对新版RefreshLNN
 * 具体参见 {@link com.jg.softbus.naservice.SubscribeService}
 */
public interface IRefreshCallback {
    /**
     * 发现设备回调
     * @param device
     */
    void onDeviceFound(DeviceInfo device);

    /**
     * 订阅结果回调
     * @param refreshId
     * @param reason 错误类型，具体参见 {@link RefreshResult}
     */
    void onDiscoverResult(int refreshId, int reason);
}
