package com.jg.softbus.discovery.enums;

/**
 * Enumerates the modes in which services are published.
 */
public enum DiscoverMode {
    /* Passive */
    DISCOVER_MODE_PASSIVE(0x55),
    /* Proactive */
    DISCOVER_MODE_ACTIVE(0xAA);

    private final int value;
    DiscoverMode(int value) {
        this.value = value;
    }

    public int valueOf(){
        return this.value;
    }

    /**
     * 基于value获取值
     * @param value
     * @return
     */
    public static DiscoverMode getForValue(int value){
        switch (value) {
            case 0x55: return DISCOVER_MODE_PASSIVE;
            case 0xAA: return DISCOVER_MODE_ACTIVE;
            default: return null;
        }
    }
}
