package com.jg.softbus.discovery.enums;

import java.util.Arrays;
import java.util.Optional;

public enum DiscoveryFailReason {
    /* Unsupported medium */
    DISCOVERY_FAIL_REASON_NOT_SUPPORT_MEDIUM(1),
    /* internal error */
    DISCOVERY_FAIL_REASON_INTERNAL(2),
    /* Unknown error */
    DISCOVERY_FAIL_REASON_UNKNOWN(0xFF);

    private final int value;
    DiscoveryFailReason(int value) {
        this.value = value;
    }

    public int valueOf(){
        return this.value;
    }

    /**
     * 基于value获取值
     * @param value
     * @return
     */
    public static DiscoveryFailReason getForValue(int value){
       Optional<DiscoveryFailReason> rs = Arrays.stream(DiscoveryFailReason.values()).filter(v -> v.value == value).findAny();
       return rs.orElse(DISCOVERY_FAIL_REASON_UNKNOWN);
    }
}
