package com.jg.softbus.discovery.enums;

/**
 *  Enumerates frequencies for publishing services.
 *  This enumeration applies only to Bluetooth and is not supported currently.
 */
public enum ExchangeFreq {
    /** Low */
    LOW(0),
    /** Medium */
    MID(1),
    /** High */
    HIGH(2),
    /** Super-high */
    SUPER_HIGH(3),
    FREQ_BUTT(4);

    private final int value;

    ExchangeFreq(int value) {
        this.value = value;
    }

    public int valueOf(){
        return this.value;
    }
    /**
     * 根据值获取ExchageFreq对象
     */
    public static ExchangeFreq getForValue(int value) {
        for (ExchangeFreq freq : ExchangeFreq.values()) {
            if (freq.value == value) {
                return freq;
            }
        }
        return null;
    }
}
