package com.jg.softbus.discovery.enums;

import java.util.Arrays;
import java.util.Optional;

public enum PublishFailReason {
    /* Unsupported medium */
    PUBLISH_FAIL_REASON_NOT_SUPPORT_MEDIUM(1),
    /* internal error */
    PUBLISH_FAIL_REASON_INTERNAL(2),
    /* Unknown reason */
    PUBLISH_FAIL_REASON_UNKNOWN(0xFF);

    private final int value;
    PublishFailReason(int value) {
        this.value = value;
    }

    public int valueOf(){
        return this.value;
    }

    /**
     * 基于value获取值
     * @param value
     * @return
     */
    public static PublishFailReason getForValue(int value){
        Optional<PublishFailReason> rs = Arrays.stream(PublishFailReason.values()).filter(v -> v.value == value).findAny();
        return rs.orElse(PUBLISH_FAIL_REASON_UNKNOWN);
    }
}
