package com.jg.softbus.discovery.enums;

import java.util.Arrays;
import java.util.Optional;

public enum PublishResult {
    /**< Publish success */
    PUBLISH_LNN_SUCCESS(0),
    /**< Unsupported medium */
    PUBLISH_LNN_NOT_SUPPORT_MEDIUM(1),
    /**< Internal error */
    PUBLISH_LNN_INTERNAL(2),
    /**< Unknown reason */
    PUBLISH_LNN_UNKNOWN(0xFF);

    private final int value;
    PublishResult(int value){
        this.value = value;
    }

    public int valueOf() {
        return value;
    }

    public static PublishResult getForValue(int value){
        Optional<PublishResult> rs =
                Arrays.stream(PublishResult.values())
                .filter(v -> v.value == value)
                .findFirst();
        return rs.orElse(PUBLISH_LNN_UNKNOWN);
    }
}
