package com.jg.softbus.discovery.enums;

import java.util.Arrays;
import java.util.Optional;

public enum RefreshResult {
    /**< Refresh success */
    REFRESH_LNN_SUCCESS(0),
    /**< Unsupported medium */
    REFRESH_LNN_NOT_SUPPORT_MEDIUM(1),
    /**< Internal error */
    REFRESH_LNN_INTERNAL(2),
    /**< Unknown error */
    REFRESH_LNN_UNKNOWN(0xFF);

    private final int value;

    RefreshResult(int value) {
        this.value = value;
    }

    public int valueOf() {
        return value;
    }

    public static RefreshResult getForValue(int value) {
        Optional<RefreshResult> rs = Arrays.stream(RefreshResult.values()).filter(r->r.value == value).findFirst();
        return rs.orElse(REFRESH_LNN_UNKNOWN);
    }
}
