package com.jg.softbus.manager;

import com.jg.softbus.model.SessionInfo;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.stream.Collectors;

public class SessionManager {
    /**
     * 连接的session管理
     */
    private CopyOnWriteArrayList<SessionInfo> sessions = new CopyOnWriteArrayList<>();

    /**
     * 添加session
     * @param info
     */
    public void addSession(SessionInfo info) {
        if(!sessions.contains(info)) {
            sessions.add(info);
        }
    }

    /**
     * 移除session
     * @param sessionId
     */
    public void remove(Integer sessionId) {
        Optional<SessionInfo> rs = sessions.stream().filter(session->session.getSessionId().equals(sessionId)).findAny();
        rs.ifPresent(sessionInfo -> sessions.remove(sessionInfo));
    }

    public void remove(SessionInfo info) {
        sessions.remove(info);
    }

    /**
     * 获取session信息
     * @param sessionId
     * @return
     */
    public SessionInfo getSession(Integer sessionId) {
        Optional<SessionInfo> rs = sessions.stream().filter(session->session.getSessionId().equals(sessionId)).findAny();
        return rs.orElse(null);
    }

    /**
     * 获取列表
     * @return
     */
    public List<SessionInfo> getSessions() {
        return new ArrayList<>(sessions);
    }

    /**
     * 清空数据
     */
    public void clear(){
        sessions.clear();
    }
}
