package com.jg.softbus.model;

import java.util.Objects;

public class SessionInfo {
    /**
     * sessionId
     */
    private final Integer sessionId;
    /**
     * sessionName
     */
    private final String sessionName;
    /**
     * 设备网络id
     */
    private final String networkId;
    /**
     * session是否打开
     */
    private final Boolean isOpen;

    public SessionInfo(Integer sessionId, String sessionName, String networkId, Boolean isOpen) {
        this.sessionId = sessionId;
        this.sessionName = sessionName;
        this.networkId = networkId;
        this.isOpen = isOpen;
    }

    public Integer getSessionId() {
        return sessionId;
    }

    public String getSessionName() {
        return sessionName;
    }

    public String getNetworkId() {
        return networkId;
    }

    public boolean isOpen() {
        return isOpen;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SessionInfo that = (SessionInfo) o;
        return Objects.equals(sessionId, that.sessionId) && Objects.equals(sessionName, that.sessionName)
                && Objects.equals(networkId, that.networkId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(sessionId, sessionName, networkId);
    }

    @Override
    public String toString() {
        return "SessionInfo{" +
                "sessionId=" + sessionId +
                ", sessionName='" + sessionName + '\'' +
                ", networkId='" + networkId + '\'' +
                '}';
    }
}
