package com.jg.softbus.network.node;

import java.util.Objects;

/**
 * 组网结果类型
 */
public class LNNResult {
    /**
     * 网络id，仅当state=0时networkId有效
     */
    private String networkId;
    /**
     * 组装状态，0-为组网成功；其他为失败
     */
    private int state;

    public LNNResult() {

    }

    public LNNResult(String networkId, int state) {
        this.networkId = networkId;
        this.state = state;
    }

    public String getNetworkId() {
        return networkId;
    }

    public void setNetworkId(String networkId) {
        this.networkId = networkId;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        LNNResult lnnResult = (LNNResult) o;
        return Objects.equals(networkId, lnnResult.networkId) && Objects.equals(state, lnnResult.state);
    }

    @Override
    public int hashCode() {
        return Objects.hash(networkId, state);
    }
}
