package com.jg.softbus.network.node;

import javax.xml.soap.Node;
import java.util.Objects;

/**
 * 设备所在网络节点的基础信息
 */
public class NodeBasicInfo {
    /**< Device network id */
    private String networkId;
    /**< Device name */
    private String deviceName;
    /**< Device type id */
    private Short deviceTypeId;

    public NodeBasicInfo(){

    }
    public NodeBasicInfo(String networkId, String deviceName, Short deviceTypeId) {
        this.networkId = networkId;
        this.deviceName = deviceName;
        this.deviceTypeId = deviceTypeId;
    }
    public String getNetworkId() {
        return networkId;
    }

    public void setNetworkId(String networkId) {
        this.networkId = networkId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Short getDeviceTypeId() {
        return deviceTypeId;
    }

    public void setDeviceTypeId(Short deviceTypeId) {
        this.deviceTypeId = deviceTypeId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        NodeBasicInfo that = (NodeBasicInfo) o;
        return Objects.equals(networkId, that.networkId) && Objects.equals(deviceName, that.deviceName) && Objects.equals(deviceTypeId, that.deviceTypeId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(networkId, deviceName, deviceTypeId);
    }

    @Override
    public String toString() {
        return "NodeBasicInfo{" +
                "networkId='" + networkId + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", deviceTypeId=" + deviceTypeId +
                '}';
    }
}
