package com.jg.softbus.network.node;

/**
 * 网络节点基础类型
 */
public enum NodeBasicInfoType {
    /**< Network ID change */
    TYPE_NETWORK_ID(0),
    /**< Device name change */
    TYPE_DEVICE_NAME(1),
    /**< Device network info change */
    TYPE_NETWORK_INFO(2);

    private final Integer value;
    NodeBasicInfoType(Integer value){
        this.value = value;
    }

    public Integer valueOf(){
        return this.value;
    }

    public static NodeBasicInfoType getForValue(int value){
        switch (value){
            case 0: return TYPE_NETWORK_ID;
            case 1: return TYPE_DEVICE_NAME;
            case 2: return TYPE_NETWORK_INFO;
            default: return null;
        }
    }
}
