package com.jg.softbus.network.node;

import java.util.Arrays;
import java.util.Objects;

/**
 * Defines the running status about a device.
 */
public class NodeStatus {
    /**< The basic info of device */
    private NodeBasicInfo basicInfo;
    /**< The auth state of device */
    private Short authStatus;
    /**< The data base state of device */
    private Short dataBaseStatus;
    /**< The mesh type of device */
    private Short meshType;
    /**< The reserved data of device */
    private Short[] reserved;

    public NodeBasicInfo getBasicInfo() {
        return basicInfo;
    }

    public void setBasicInfo(NodeBasicInfo basicInfo) {
        this.basicInfo = basicInfo;
    }

    public Short getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Short authStatus) {
        this.authStatus = authStatus;
    }

    public Short getDataBaseStatus() {
        return dataBaseStatus;
    }

    public void setDataBaseStatus(Short dataBaseStatus) {
        this.dataBaseStatus = dataBaseStatus;
    }

    public Short getMeshType() {
        return meshType;
    }

    public void setMeshType(Short meshType) {
        this.meshType = meshType;
    }

    public Short[] getReserved() {
        return reserved;
    }

    public void setReserved(Short[] reserved) {
        this.reserved = reserved;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        NodeStatus that = (NodeStatus) o;
        return Objects.equals(basicInfo, that.basicInfo) && Objects.equals(authStatus, that.authStatus) && Objects.equals(dataBaseStatus, that.dataBaseStatus) && Objects.equals(meshType, that.meshType) && Arrays.equals(reserved, that.reserved);
    }

    @Override
    public int hashCode() {
        int result = Objects.hash(basicInfo, authStatus, dataBaseStatus, meshType);
        result = 31 * result + Arrays.hashCode(reserved);
        return result;
    }

    @Override
    public String toString() {
        return "NodeStatus{" +
                "basicInfo=" + basicInfo.toString() +
                ", authStatus=" + authStatus +
                ", dataBaseStatus=" + dataBaseStatus +
                ", meshType=" + meshType +
                ", reserved=" + Arrays.toString(reserved) +
                '}';
    }
}
