package com.jg.softbus.network.node;

/**
 * Enumerates device information change types. For details, see {@link INodeStateCb.onNodeStatusChanged}.
 */
public enum NodeStatusType {
    /**< Certify status change */
    TYPE_AUTH_STATUS(2),
    /**< Database  change */
    TYPE_DATABASE_STATUS(3),
    /**< Lnn mesh typechange */
    TYPE_MESH_TYPE(4),
    /**< Max num */
    TYPE_STATUS_MAX(5);

    private final Integer value;

    NodeStatusType(Integer value){
        this.value = value;
    }

    public Integer valueOf(){
        return this.value;
    }

    /**
     * 根据值获取类型
     * @param value
     * @return
     */
    public static NodeStatusType getForValue(int value){
        switch (value) {
            case 2: return TYPE_AUTH_STATUS;
            case 3: return TYPE_DATABASE_STATUS;
            case 4: return TYPE_MESH_TYPE;
            case 5: return TYPE_STATUS_MAX;
            default: return null;
        }
    }
}
