package com.jg.softbus.network.protocol;

import java.util.Arrays;
import java.util.Optional;

/**
 * Enumerates {@link BleProtocolType} types of ble connection type
 */
public enum BleProtocolType {
    BLE_PROTOCOL_ANY(-1),
    BLE_GATT(0),
    BLE_COC(1),
    BLE_PROTOCOL_MAX(2);

    private final int value;

    BleProtocolType(int value) {
        this.value = value;
    }

    public int valueOf(){
        return this.value;
    }

    public static BleProtocolType getForValue(int value) {
       Optional<BleProtocolType> rs = Arrays.stream(BleProtocolType.values()).filter(item->item.valueOf()==value).findAny();
        return rs.orElse(null);
    }
}
