package com.jg.softbus.network.protocol;

import java.util.Objects;

/**
 * Defines the address of a device that is added to a LNN.
 */
public class ConnectionAddr {
    /**< Address type. This field is used to explain the <b>info</b> field. */
    private ConnectionAddrType type;
    /**< Connection address information */
    private ConnectionAddrInfo info;

    private String peerUid;

    public ConnectionAddrType getType() {
        return type;
    }

    public void setType(ConnectionAddrType type) {
        this.type = type;
    }

    public ConnectionAddrInfo getInfo() {
        return info;
    }

    public void setInfo(ConnectionAddrInfo info) {
        this.info = info;
    }

    public String getPeerUid() {
        return peerUid;
    }

    public void setPeerUid(String peerUid) {
        this.peerUid = peerUid;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ConnectionAddr that = (ConnectionAddr) o;
        return type == that.type && Objects.equals(info, that.info) && Objects.equals(peerUid, that.peerUid);
    }

    @Override
    public int hashCode() {
        return Objects.hash(type, info, peerUid);
    }
}
