package com.jg.softbus.network.protocol;

import java.util.Objects;

/**
 * 连接地址信息
 */
public class ConnectionAddrInfo {
    /**
     * < BR address
     */
    private BrAddr br;
    /**
     * < BLE address
     */
    private BleAddr ble;
    /**< IPv4 or IPv6 address */
    private IpAddr ip;
    /**< Session address */
    private SessionAddr session;

    public BrAddr getBr() {
        return br;
    }

    public void setBr(BrAddr br) {
        this.br = br;
    }

    public BleAddr getBle() {
        return ble;
    }

    public void setBle(BleAddr ble) {
        this.ble = ble;
    }

    public IpAddr getIp() {
        return ip;
    }

    public void setIp(IpAddr ip) {
        this.ip = ip;
    }

    public SessionAddr getSession() {
        return session;
    }

    public void setSession(SessionAddr session) {
        this.session = session;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ConnectionAddrInfo that = (ConnectionAddrInfo) o;
        return Objects.equals(br, that.br) && Objects.equals(ble, that.ble) && Objects.equals(ip, that.ip) && Objects.equals(session, that.session);
    }

    @Override
    public int hashCode() {
        return Objects.hash(br, ble, ip, session);
    }
}
