package com.jg.softbus.network.protocol;

/**
 * Enumerates {@link ConnectionAddrType} types of a device that is added to a LNN.
 */
public enum ConnectionAddrType {
    /**< WLAN */
    CONNECTION_ADDR_WLAN(0),
    /**< BR */
    CONNECTION_ADDR_BR(1),
    /**< BLE */
    CONNECTION_ADDR_BLE(2),
    /**< Ethernet */
    CONNECTION_ADDR_ETH(3),
    /**< SESSION */
    CONNECTION_ADDR_SESSION(4),
    /**< Invalid type */
    CONNECTION_ADDR_MAX(5);

    private final int value;

    ConnectionAddrType(int value){
        this.value = value;
    }

    public int valueOf(){
        return this.value;
    }

    public static ConnectionAddrType getForValue(int value){
        switch (value){
            case 0: return CONNECTION_ADDR_WLAN;
            case 1: return CONNECTION_ADDR_BR;
            case 2: return CONNECTION_ADDR_BLE;
            case 3: return CONNECTION_ADDR_ETH;
            case 4: return CONNECTION_ADDR_SESSION;
            case 5: return CONNECTION_ADDR_MAX;
            default: return null;
        }
    }
}
