package com.jg.softbus.service;

import com.jg.softbus.discovery.PublishInfo;
import com.jg.softbus.discovery.SubscribeInfo;
import com.jg.softbus.discovery.callback.IDiscoveryCallback;
import com.jg.softbus.discovery.callback.IPublishCallback;
import com.jg.softbus.discovery.callback.IPublishCb;
import com.jg.softbus.discovery.callback.IRefreshCallback;
import com.jg.softbus.session.callback.ISessionListener;

/**
 * 构建softbus服务启动参数
 */
public class SoftbusServiceStartParam {
    /**
     * 服务包名
     */
    private final String pkgName;
    /**
     * 发布的session服务的名称
     */
    private final String sessionName;
    /**
     * 发布内容
     */
    private final PublishInfo publishInfo;
    /**
     * 订阅内容
     */
    private final SubscribeInfo subscribeInfo;

    public SoftbusServiceStartParam(String pkgName, String sessionName, PublishInfo publishInfo, SubscribeInfo subscribeInfo) {
        this.pkgName = pkgName;
        this.sessionName = sessionName;
        this.publishInfo = publishInfo;
        this.subscribeInfo = subscribeInfo;
    }


    /**
     * 发布回调接口
     */
    private IPublishCallback publishCallback;
    /**
     * 发布回调接口(发布新接口使用)
     */
    private IPublishCb publishCb;
    /**
     * 订阅回调接口
     */
    private IDiscoveryCallback discoveryCallback;
    /**
     * 订阅回调（订阅新接口使用）
     */
    private IRefreshCallback refreshCallback;

    public String getPkgName() {
        return pkgName;
    }

    public String getSessionName() {
        return sessionName;
    }

    public PublishInfo getPublishInfo() {
        return publishInfo;
    }

    public SubscribeInfo getSubscribeInfo() {
        return subscribeInfo;
    }

    public IPublishCallback getPublishCallback() {
        return publishCallback;
    }

    public void setPublishCallback(IPublishCallback publishCallback) {
        this.publishCallback = publishCallback;
    }

    public IDiscoveryCallback getDiscoveryCallback() {
        return discoveryCallback;
    }

    public void setDiscoveryCallback(IDiscoveryCallback discoveryCallback) {
        this.discoveryCallback = discoveryCallback;
    }

    public IPublishCb getPublishCb() {
        return publishCb;
    }

    public void setPublishCb(IPublishCb publishCb) {
        this.publishCb = publishCb;
    }

    public IRefreshCallback getRefreshCallback() {
        return refreshCallback;
    }

    public void setRefreshCallback(IRefreshCallback refreshCallback) {
        this.refreshCallback = refreshCallback;
    }
}
