package com.jg.softbus.session;

import java.util.Objects;

/**
 * Defines the frame information.
 */
public class FrameStatus {
    /**< Stream ID */
    private int streamId;
    /**< Sequence number of the frame */
    private int seqNum;
    /**< Frame layer number */
    private int level;
    /**< Frame status */
    private int transStatus;
    /**< Duration that unsent frames in the queue are cached */
    private int interval;

    public FrameStatus() {

    }

    public FrameStatus(int streamId, int seqNum, int level, int transStatus, int interval) {
        this.streamId = streamId;
        this.seqNum = seqNum;
        this.level = level;
        this.transStatus = transStatus;
        this.interval = interval;
    }
    public int getStreamId() {
        return streamId;
    }

    public void setStreamId(Integer streamId) {
        this.streamId = streamId;
    }

    public Integer getSeqNum() {
        return seqNum;
    }

    public void setSeqNum(Integer seqNum) {
        this.seqNum = seqNum;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getTransStatus() {
        return transStatus;
    }

    public void setTransStatus(Integer transStatus) {
        this.transStatus = transStatus;
    }

    public Integer getInterval() {
        return interval;
    }

    public void setInterval(Integer interval) {
        this.interval = interval;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        FrameStatus that = (FrameStatus) o;
        return Objects.equals(streamId, that.streamId) && Objects.equals(seqNum, that.seqNum) && Objects.equals(level, that.level) && Objects.equals(transStatus, that.transStatus) && Objects.equals(interval, that.interval);
    }

    @Override
    public int hashCode() {
        return Objects.hash(streamId, seqNum, level, transStatus, interval);
    }

    @Override
    public String toString() {
        return "FrameStatus{" +
                "streamId=" + streamId +
                ", seqNum=" + seqNum +
                ", level=" + level +
                ", transStatus=" + transStatus +
                ", interval=" + interval +
                '}';
    }
}
