package com.jg.softbus.session;

import java.util.Objects;

/**
 * Defines the jitter estimation information.
 */
public class JitterEstimation {
    /**< Estimated network status */
    private int jitterLevel;
    /**< Required buffer time */
    private int bufferTime;

    public JitterEstimation() {

    }
    public JitterEstimation(int jitterLevel, int bufferTime) {
        this.jitterLevel = jitterLevel;
        this.bufferTime = bufferTime;
    }

    public int getJitterLevel() {
        return jitterLevel;
    }

    public void setJitterLevel(int jitterLevel) {
        this.jitterLevel = jitterLevel;
    }

    public int getBufferTime() {
        return bufferTime;
    }

    public void setBufferTime(int bufferTime) {
        this.bufferTime = bufferTime;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        JitterEstimation that = (JitterEstimation) o;
        return Objects.equals(jitterLevel, that.jitterLevel) && Objects.equals(bufferTime, that.bufferTime);
    }

    @Override
    public int hashCode() {
        return Objects.hash(jitterLevel, bufferTime);
    }

    @Override
    public String toString() {
        return "JitterEstimation{" +
                "jitterLevel=" + jitterLevel +
                ", bufferTime=" + bufferTime +
                '}';
    }
}
