package com.jg.softbus.session;

import com.jg.softbus.session.enums.TransEnumEventType;

import java.util.Objects;

/**
 *  Defines the video stream transmission QoS.
 */
public class QosTv {
    /**
     * Stream transmission QoS event type {@link TransEnumEventType}
     */
    private TransEnumEventType type;
    /**
     * 质量信息
     */
    private QosTvInfo info;

    public QosTv() {

    }
    public QosTv(TransEnumEventType type, QosTvInfo info) {
        this.type = type;
        this.info = info;
    }

    public TransEnumEventType getType() {
        return type;
    }

    public void setType(TransEnumEventType type) {
        this.type = type;
    }

    public QosTvInfo getInfo() {
        return info;
    }

    public void setInfo(QosTvInfo info) {
        this.info = info;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        QosTv qosTv = (QosTv) o;
        return type == qosTv.type && Objects.equals(info, qosTv.info);
    }

    @Override
    public int hashCode() {
        return Objects.hash(type, info);
    }

    @Override
    public String toString() {
        return "QosTv{" +
                "type=" + type +
                ", info=" + info +
                '}';
    }
}
