package com.jg.softbus.session;

import com.jg.softbus.session.enums.LinkType;
import com.jg.softbus.session.enums.SessionType;

import java.util.Arrays;
import java.util.Objects;

public class SessionAttribute {
    /**
     * < Session type {@link SessionType}
     */
    private int dataType;
    /**< Number of link types */
    int linkTypeNum;
    /**< Link type {@link LinkType} */
    private LinkType[] linkType;
    /**属性**/
    private StreamAttr attr;
   // 快速传输数据
    private byte[] fastTransData;
    // 快速传输数据大小
    private short fastTransDataSize;

    public int getDataType() {
        return dataType;
    }

    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public int getLinkTypeNum() {
        return linkTypeNum;
    }

    public void setLinkTypeNum(int linkTypeNum) {
        this.linkTypeNum = linkTypeNum;
    }

    public LinkType[] getLinkType() {
        return linkType;
    }

    public void setLinkType(LinkType[] linkType) {
        this.linkType = linkType;
    }

    public StreamAttr getAttr() {
        return attr;
    }

    public void setAttr(StreamAttr attr) {
        this.attr = attr;
    }

    public byte[] getFastTransData() {
        return fastTransData;
    }

    public void setFastTransData(byte[] fastTransData) {
        this.fastTransData = fastTransData;
    }

    public short getFastTransDataSize() {
        return fastTransDataSize;
    }

    public void setFastTransDataSize(short fastTransDataSize) {
        this.fastTransDataSize = fastTransDataSize;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SessionAttribute that = (SessionAttribute) o;
        return linkTypeNum == that.linkTypeNum && Objects.equals(dataType, that.dataType) && Arrays.equals(linkType, that.linkType) && Objects.equals(attr, that.attr) && Objects.equals(fastTransData, that.fastTransData) && Objects.equals(fastTransDataSize, that.fastTransDataSize);
    }

    @Override
    public int hashCode() {
        int result = Objects.hash(dataType, linkTypeNum, attr, fastTransData, fastTransDataSize);
        result = 31 * result + Arrays.hashCode(linkType);
        return result;
    }

    @Override
    public String toString() {
        return "SessionAttribute{" +
                "dataType=" + dataType +
                ", linkTypeNum=" + linkTypeNum +
                ", linkType=" + Arrays.toString(linkType) +
                ", attr=" + attr +
                ", fastTransData=" + fastTransData +
                ", fastTransDataSize=" + fastTransDataSize +
                '}';
    }
}