package com.jg.softbus.session;

public class StreamFrameInfo {
    /**< Frame type, which can be I-frame or P-frame. */
    private int frameType;
    /**< Timestamp. */
    private long timeStamp;
    /**< Sequence number. */
    private int seqNum;
    /**< Sequence number of the slice. */
    private int seqSubNum;
    /**< Scalable video coding level. <b>0</b> stands for the base level,
     <b>1</b> for level 1, and <b>2</b> for level 2. */
    private int level;
    /**< Bitmap, which indicates the start or end slice of a frame. */
    private int bitMap;
    /**< Number of scalable tag-values (TVs). */
    private int tvCount;
    /**< Pointer to the TV list. */
    private TV[] tvList;

    public int getFrameType() {
        return frameType;
    }

    public void setFrameType(int frameType) {
        this.frameType = frameType;
    }

    public long getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(long timeStamp) {
        this.timeStamp = timeStamp;
    }

    public int getSeqNum() {
        return seqNum;
    }

    public void setSeqNum(int seqNum) {
        this.seqNum = seqNum;
    }

    public int getSeqSubNum() {
        return seqSubNum;
    }

    public void setSeqSubNum(int seqSubNum) {
        this.seqSubNum = seqSubNum;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public int getBitMap() {
        return bitMap;
    }

    public void setBitMap(int bitMap) {
        this.bitMap = bitMap;
    }

    public int getTvCount() {
        return tvCount;
    }

    public void setTvCount(int tvCount) {
        this.tvCount = tvCount;
    }

    public TV[] getTvList() {
        return tvList;
    }

    public void setTvList(TV[] tvList) {
        this.tvList = tvList;
    }
}
