package com.jg.softbus.session;

import java.util.Objects;

/**
 * Defines the stream transmission statistics information.
 */
public class StreamStatistics {
    /**
     * < Time when the statistics information is obtained
     */
    public long statisticsGotTime;
    /**
     * < Number of bits received in a transmission period
     */
    public long periodRecvBits;
    /**
     * < Number of packets
     */
    public int pktNum;
    /**
     * < Number of packets received in a transmission period
     */
    public int periodRecvPkts;
    /**
     * < Number of RX packets lost in a transmission period
     */
    public int periodRecvPktLoss;
    /**
     * < Receive rate in a transmission period, in kbit/s
     */
    public int periodRecvRate;
    /**
     * < RX rate in a transmission period, in bit/s
     */
    public long periodRecvRateBps;
    /**
     * < Round-trip time (RTT), in ms
     */
    public int periodRtt;
    /**
     * < RX packet loss rate displayed for high precision.
     * For example, if the packet loss rate is 1.10%, the value is <b>110</b>.
     */
    public int periodRecvPktLossHighPrecision;
    /**
     * < Number of TX packets lost in a transmission period
     */
    public int periodSendLostPkts;
    /**
     * < Number of packets sent in a transmission period
     */
    public int periodSendPkts;
    /**
     * < TX packet loss rate displayed for high precision.
     * For example, if the packet loss rate is 1.10%, the value is <b>110</b>.
     */
    public int periodSendPktLossHighPrecision;
    /**
     * < Number of bits sent in a transmission period
     */
    public long periodSendBits;
    /**
     * < TX rate in a transmission period, in bps
     */
    public long periodSendRateBps;

    public long getStatisticsGotTime() {
        return statisticsGotTime;
    }

    public void setStatisticsGotTime(long statisticsGotTime) {
        this.statisticsGotTime = statisticsGotTime;
    }

    public long getPeriodRecvBits() {
        return periodRecvBits;
    }

    public void setPeriodRecvBits(long periodRecvBits) {
        this.periodRecvBits = periodRecvBits;
    }

    public int getPktNum() {
        return pktNum;
    }

    public void setPktNum(int pktNum) {
        this.pktNum = pktNum;
    }

    public int getPeriodRecvPkts() {
        return periodRecvPkts;
    }

    public void setPeriodRecvPkts(int periodRecvPkts) {
        this.periodRecvPkts = periodRecvPkts;
    }

    public int getPeriodRecvPktLoss() {
        return periodRecvPktLoss;
    }

    public void setPeriodRecvPktLoss(int periodRecvPktLoss) {
        this.periodRecvPktLoss = periodRecvPktLoss;
    }

    public int getPeriodRecvRate() {
        return periodRecvRate;
    }

    public void setPeriodRecvRate(int periodRecvRate) {
        this.periodRecvRate = periodRecvRate;
    }

    public long getPeriodRecvRateBps() {
        return periodRecvRateBps;
    }

    public void setPeriodRecvRateBps(long periodRecvRateBps) {
        this.periodRecvRateBps = periodRecvRateBps;
    }

    public int getPeriodRtt() {
        return periodRtt;
    }

    public void setPeriodRtt(int periodRtt) {
        this.periodRtt = periodRtt;
    }

    public int getPeriodRecvPktLossHighPrecision() {
        return periodRecvPktLossHighPrecision;
    }

    public void setPeriodRecvPktLossHighPrecision(int periodRecvPktLossHighPrecision) {
        this.periodRecvPktLossHighPrecision = periodRecvPktLossHighPrecision;
    }

    public int getPeriodSendLostPkts() {
        return periodSendLostPkts;
    }

    public void setPeriodSendLostPkts(int periodSendLostPkts) {
        this.periodSendLostPkts = periodSendLostPkts;
    }

    public int getPeriodSendPkts() {
        return periodSendPkts;
    }

    public void setPeriodSendPkts(int periodSendPkts) {
        this.periodSendPkts = periodSendPkts;
    }

    public int getPeriodSendPktLossHighPrecision() {
        return periodSendPktLossHighPrecision;
    }

    public void setPeriodSendPktLossHighPrecision(int periodSendPktLossHighPrecision) {
        this.periodSendPktLossHighPrecision = periodSendPktLossHighPrecision;
    }

    public long getPeriodSendBits() {
        return periodSendBits;
    }

    public void setPeriodSendBits(long periodSendBits) {
        this.periodSendBits = periodSendBits;
    }

    public long getPeriodSendRateBps() {
        return periodSendRateBps;
    }

    public void setPeriodSendRateBps(long periodSendRateBps) {
        this.periodSendRateBps = periodSendRateBps;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        StreamStatistics that = (StreamStatistics) o;
        return statisticsGotTime == that.statisticsGotTime && periodRecvBits == that.periodRecvBits && pktNum == that.pktNum && periodRecvPkts == that.periodRecvPkts && periodRecvPktLoss == that.periodRecvPktLoss && periodRecvRate == that.periodRecvRate && periodRecvRateBps == that.periodRecvRateBps && periodRtt == that.periodRtt && periodRecvPktLossHighPrecision == that.periodRecvPktLossHighPrecision && periodSendLostPkts == that.periodSendLostPkts && periodSendPkts == that.periodSendPkts && periodSendPktLossHighPrecision == that.periodSendPktLossHighPrecision && periodSendBits == that.periodSendBits && periodSendRateBps == that.periodSendRateBps;
    }

    @Override
    public int hashCode() {
        return Objects.hash(statisticsGotTime, periodRecvBits, pktNum, periodRecvPkts, periodRecvPktLoss, periodRecvRate, periodRecvRateBps, periodRtt, periodRecvPktLossHighPrecision, periodSendLostPkts, periodSendPkts, periodSendPktLossHighPrecision, periodSendBits, periodSendRateBps);
    }

    @Override
    public String toString() {
        return "StreamStatistics{" +
                "statisticsGotTime=" + statisticsGotTime +
                ", periodRecvBits=" + periodRecvBits +
                ", pktNum=" + pktNum +
                ", periodRecvPkts=" + periodRecvPkts +
                ", periodRecvPktLoss=" + periodRecvPktLoss +
                ", periodRecvRate=" + periodRecvRate +
                ", periodRecvRateBps=" + periodRecvRateBps +
                ", periodRtt=" + periodRtt +
                ", periodRecvPktLossHighPrecision=" + periodRecvPktLossHighPrecision +
                ", periodSendLostPkts=" + periodSendLostPkts +
                ", periodSendPkts=" + periodSendPkts +
                ", periodSendPktLossHighPrecision=" + periodSendPktLossHighPrecision +
                ", periodSendBits=" + periodSendBits +
                ", periodSendRateBps=" + periodSendRateBps +
                '}';
    }
}
