package com.jg.softbus.session.callback;

/**
 * 文件接收回调
 */
public interface IFileReceiveListener {
    /**
     * 开始接收文件
     * @param sessionId
     * @param files
     * @param fileCnt
     * @return
     */
    int onReceiveFileStarted(int sessionId, String files, int fileCnt);

    /**
     * 接收文件进度
     * @param sessionId
     * @param firstFile
     * @param bytesUpload
     * @param bytesTotal
     * @return
     */
    int onReceiveFileProcess(int sessionId, String firstFile, long bytesUpload, long bytesTotal);

    /**
     * 接收文件完成回调
     * @param sessionId
     * @param files
     * @param fileCnt
     */
    void onReceiveFileFinished(int sessionId, String files, int fileCnt);

    /**
     * 文件接收错误回调
     * @param sessionId
     */
    void onFileTransError(int sessionId);
}
