package com.jg.softbus.session.callback;

/**
 * 文件发送回调
 */
public interface IFileSendListener {
    /**
     * 发送进度回调
     * @param sessionId
     * @param bytesUpload
     * @param bytesTotal
     * @return
     */
    int onSendFileProcess(int sessionId, long bytesUpload, long bytesTotal);

    /**
     * 文件发送完成回调
     * @param sessionId
     * @param firstFile
     * @return
     */
    int onSendFileFinished(int sessionId, String firstFile);

    /**
     * 发送错误回调
     * @param sessionId
     */
    void onFileTransError(int sessionId);
}
