package com.jg.softbus.session.callback;

import com.jg.softbus.session.QosTv;
import com.jg.softbus.session.StreamData;
import com.jg.softbus.session.StreamFrameInfo;

public interface ISessionListener {
    /**
     * 打开session
     * @param sessionId
     * @param result
     * @return
     */
    int onSessionOpened(int sessionId, int result);

    /**
     * session关闭
     * @param sessionId
     */
    void onSessionClosed(int sessionId);

    /**
     * 接收到字节
     * @param sessionId
     * @param data
     * @param dataLen
     */
    void onBytesReceived(int sessionId, byte[] data, int dataLen);

    /**
     * 接收到消息
     * @param sessionId
     * @param data
     * @param dataLen
     */
    void onMessageReceived(int sessionId, String data, int dataLen);

    /**
     * 流数据接收
     * @param sessionId
     * @param data
     * @param ext
     * @param param
     */
    void onStreamReceived(int sessionId, StreamData data, StreamData ext, StreamFrameInfo param);

    /**
     * qosEvent处理
     * @param sessionId
     * @param eventId
     * @param tvCount
     * @param tvList
     */
    void onQosEvent(int sessionId, int eventId, int tvCount, QosTv[] tvList);
}
