package com.jg.softbus.session.enums;

import java.util.Arrays;
import java.util.Optional;

/**
 * Enumerates the link types.
 */
public enum LinkType {
    /**< 5 GHz Wi-Fi link */
    LINK_TYPE_WIFI_WLAN_5G(1),
    /**< 2.4 GHz Wi-Fi link */
    LINK_TYPE_WIFI_WLAN_2G(2),
    /**< P2P link */
    LINK_TYPE_WIFI_P2P(3),
    /**< BR link */
    LINK_TYPE_BR(4),
    LINK_TYPE_BLE(5),
    LINK_TYPE_WIFI_P2P_REUSE(6),
    LINK_TYPE_BLE_DIRECT(7),
    LINK_TYPE_COC(8),
    LINK_TYPE_COC_DIRECT(9),
    LINK_TYPE_MAX(9);

    private final int value;

    LinkType(int value){
        this.value = value;
    }

    public Integer valueOf() {
        return value;
    }

    public static LinkType getForValue(int value){
        Optional<LinkType> rs = Arrays.stream(LinkType.values()).filter(type->type.valueOf() == value).findAny();
        if(rs.isPresent()){
            return rs.get();
        }
        return null;
    }
}
