package com.jg.softbus.session.enums;

import java.util.Arrays;
import java.util.Optional;

/**
 * Enumerates the QoS feedback types.
 */
public enum QosEvent {
    /**< Feedback on stream transmission quality */
    TRANS_STREAM_QUALITY_EVENT(1),
    /**< Feedback on transmission channel quality */
    TRANS_CHANNEL_QUALITY_EVENT(2),
    /**< Feedback on deferrable transmission */
    TRANS_CAN_DELAY_EVENT(3),
    /**< Feedback on non-deferrable transmission */
    TRANS_CANT_DELAY_EVENT(4),
    /**< Invalid feedback */
    QOS_EVENT_MAX(5);

    private final Integer value;

    QosEvent(int value) {
        this.value = value;
    }

    public int valueOf(){
        return this.value;
    }

    public static QosEvent getForValue(int value) {
        Optional<QosEvent> rs = Arrays.stream(QosEvent.values()).filter(event-> event.valueOf()==value).findAny();
        return rs.orElse(null);
    }
}
