package com.jg.softbus.session.enums;

import java.util.Arrays;
import java.util.Optional;

/**
 * Enumerates the session types.
 */
public enum SessionType {
    /**< Message */
    TYPE_MESSAGE(1),
    /**< Bytes */
    TYPE_BYTES(2),
    /**< File */
    TYPE_FILE(3),
    /**< Stream */
    TYPE_STREAM(4),
    TYPE_BUTT(5);

    private final int value;
    SessionType(int value) {
        this.value = value;
    }

    public int valueOf(){
        return this.value;
    }

    public static SessionType getForValue(int value){
        Optional<SessionType> rs = Arrays.stream(SessionType.values()).filter(type->type.valueOf()==value).findAny();
        return rs.orElse(null);
    }


}
