package com.jg.softbus.session.enums;

import java.util.Arrays;
import java.util.Optional;

/**
 * Enumerates the stream types.
 */
public enum StreamType {
    /**< Invalid stream type. */
    INVALID(-1),
    /**< Send any segment of a frame each time. */
    RAW_STREAM(0),
    /**< Send a whole video frame each time. */
    COMMON_VIDEO_STREAM(1),
    /**< Send a whole audio frame each time. */
    COMMON_AUDIO_STREAM(2),
    /**< Slice frame mode. */
    VIDEO_SLICE_STREAM(3);

    private final int value;

    StreamType(int value){
        this.value = value;
    }

    public int valueOf() {
        return this.value;
    }

    public static StreamType getForValue(int value) {
        Optional<StreamType> rs = Arrays.stream(StreamType.values()).filter(type->type.valueOf() == value).findAny();
        return rs.orElse(null);
    }
}
