package com.jg.softbus.session.enums;

import java.util.Arrays;
import java.util.Optional;

/**
 * Enumerates the stream transmission QoS event types.
 */
public enum TransEnumEventType {
    /**< Wi-Fi channel quality */
    WIFI_CHANNEL_QUALITY(1),
    /**< Real-time status of frame transmission */
    FRAME_REALTIME_STATUS(2),
    /**< Bandwidth estimation */
    BANDWIDTH_ESTIMATE_VALUE(3),
    /**< Jitter detection */
    JITTER_DETECTION_VALUE(4),
    /**< Stream traffic statistics */
    STREAM_TRAFFIC_STASTICS(5);

    private final int value;
    TransEnumEventType(int value) {
        this.value = value;
    }
    public Integer valueOf() {
        return this.value;
    }

    public static TransEnumEventType getForValue(int value) {
        Optional<TransEnumEventType> rs = Arrays.stream(TransEnumEventType.values()).filter(type->type.valueOf()==value).findAny();
        return rs.orElse(null);
    }
}
